<div id="page-heading">
    <ol class="breadcrumb">
        <li><a href="#/">Dashboard</a></li>
        <li>Form</li>
        <li class="active">Form Components</li>
    </ol>
    <h1>Form Components</h1>
    <div class="options">
        <div class="btn-toolbar">
            <div class="btn-group" dropdown>
                <button type="button" class="btn btn-default dropdown-toggle" dropdown-toggle>
                    Export as <span class="caret"></span>
                </button>
                <ul class="dropdown-menu" role="menu">
                    <li><a href="#">Action</a></li>
                    <li><a href="#">Another action</a></li>
                    <li><a href="#">Something else here</a></li>
                    <li class="divider"></li>
                    <li><a href="#">Separated link</a></li>
                </ul>
            </div>
            <a href="#" class="btn btn-default hidden-xs"><i class="glyphicon glyphicon-cog"></i></a>
        </div>
    </div>
</div>
<div class="container-fluid" ng-controller="FormComponentsController">
    <panel panel-class="panel-midnightblue" heading="Basic Form Elements">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>
        <form action="" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Simplest Input</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Password Field</label>
                <div class="col-sm-6">
                    <input type="password" class="form-control">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Input with Placeholder</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control" placeholder="Placeholder">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Disabled Input</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control" placeholder="Disabled Input" disabled>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Read only field</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control" readonly="readonly" value="Read only text goes here">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">With pre-defined value</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control" value="http://">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">With max length</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control" maxlength="20" placeholder="max 20 characters here">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Popover Input</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control popovers" placeholder="Popover Input (click to see)" data-trigger="hover" data-popover="Popover instructions go here :)">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Tooltip Input</label>
                <div class="col-sm-6">
                    <input type="text" class="form-control tooltips" data-trigger="hover" data-tooltip="Tooltip text goes here.">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Select Box</label>
                <div class="col-sm-6">
                    <select class="form-control" id="source">
                        <optgroup label="Alaskan/Hawaiian Time Zone">
                            <option value="AK">Alaska</option>
                            <option value="HI">Hawaii</option>
                        </optgroup>
                        <optgroup label="Pacific Time Zone">
                            <option value="CA">California</option>
                            <option value="NV">Nevada</option>
                            <option value="OR">Oregon</option>
                            <option value="WA">Washington</option>
                        </optgroup>
                        <optgroup label="Mountain Time Zone">
                            <option value="AZ">Arizona</option>
                            <option value="CO">Colorado</option>
                            <option value="ID">Idaho</option>
                            <option value="MT">Montana</option>
                            <option value="NE">Nebraska</option>
                            <option value="NM">New Mexico</option>
                            <option value="ND">North Dakota</option>
                            <option value="UT">Utah</option>
                            <option value="WY">Wyoming</option>
                        </optgroup>
                        <optgroup label="Central Time Zone">
                            <option value="AL">Alabama</option>
                            <option value="AR">Arkansas</option>
                            <option value="IL">Illinois</option>
                            <option value="IA">Iowa</option>
                            <option value="KS">Kansas</option>
                            <option value="KY">Kentucky</option>
                            <option value="LA">Louisiana</option>
                            <option value="MN">Minnesota</option>
                            <option value="MS">Mississippi</option>
                            <option value="MO">Missouri</option>
                            <option value="OK">Oklahoma</option>
                            <option value="SD">South Dakota</option>
                            <option value="TX">Texas</option>
                            <option value="TN">Tennessee</option>
                            <option value="WI">Wisconsin</option>
                        </optgroup>
                        <optgroup label="Eastern Time Zone">
                            <option value="CT">Connecticut</option>
                            <option value="DE">Delaware</option>
                            <option value="FL">Florida</option>
                            <option value="GA">Georgia</option>
                            <option value="IN">Indiana</option>
                            <option value="ME">Maine</option>
                            <option value="MD">Maryland</option>
                            <option value="MA">Massachusetts</option>
                            <option value="MI">Michigan</option>
                            <option value="NH">New Hampshire</option>
                            <option value="NJ">New Jersey</option>
                            <option value="NY">New York</option>
                            <option value="NC">North Carolina</option>
                            <option value="OH">Ohio</option>
                            <option value="PA">Pennsylvania</option>
                            <option value="RI">Rhode Island</option>
                            <option value="SC">South Carolina</option>
                            <option value="VT">Vermont</option>
                            <option value="VA">Virginia</option>
                            <option value="WV">West Virginia</option>
                        </optgroup>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Disabled Dropdown</label>
                <div class="col-sm-6">
                    <select class="form-control" disabled placeholder="Disabled Dropdown">
                        <option>Alaska</option>
                        <option>Lorem ipsum dolor.</option>
                        <option>Amet, impedit aperiam?</option>
                        <option>Nemo, alias, quasi?</option>
                        <option>Inventore, expedita.</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Multi-select Box</label>
                <div class="col-sm-6">
                    <select class="form-control" multiple>
                        <option>Lorem ipsum dolor.</option>
                        <option>Amet, impedit aperiam?</option>
                        <option>Nemo, alias, quasi?</option>
                        <option>Inventore, expedita.</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Inline Radio</label>
                <div class="col-sm-6">
                    <label class="radio-inline">
                        <input icheck type="radio" id="inlineradio1" value="option1"> Option 1
                    </label>
                    <label class="radio-inline">
                        <input icheck type="radio" id="inlineradio2" value="option2"> Option 2
                    </label>
                    <label class="radio-inline">
                        <input icheck type="radio" id="inlineradio3" value="option3"> Option 3
                    </label>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Radio</label>
                <div class="col-sm-6">
                    <div class="radio">
                        <label>
                            <input icheck type="radio" name="optionsRadios" id="optionsRadios1" value="option1" checked>
                            Option one is this and that
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input icheck type="radio" name="optionsRadios" id="optionsRadios2" value="option2">
                            Option two can be something else
                        </label>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Inline Checkbox</label>
                <div class="col-sm-6">
                    <label class="checkbox-inline">
                        <input icheck type="checkbox" id="inlinecheckbox1" value="option1"> Option 1
                    </label>
                    <label class="checkbox-inline">
                        <input icheck type="checkbox" id="inlinecheckbox2" value="option2"> Option 2
                    </label>
                    <label class="checkbox-inline">
                        <input icheck type="checkbox" id="inlinecheckbox3" value="option3"> Option 3
                    </label>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Checkbox</label>
                <div class="col-sm-6">
                    <div class="checkbox">
                        <label>
                            <input icheck type="checkbox" value="">
                            Option one is this and that
                        </label>
                    </div>
                    <div class="checkbox">
                        <label>
                            <input icheck type="checkbox" value="">
                            Option two can be something else
                        </label>
                    </div>
                </div>
                <div class="col-sm-3"><p class="help-block"><p><span class="label label-info">Note</span> Simply add the <code>icheck</code> attribute to input elements to get stylized checkboxes/radio buttons.</p></p></div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Textarea</label>
                <div class="col-sm-6">
                    <textarea class="form-control"></textarea>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Autogrow Textarea</label>
                <div class="col-sm-6">
                    <textarea class="form-control autosize"></textarea>
                </div>
                <div class="col-sm-3"><p class="help-block">Textbox auto grows as you type!</p><p><span class="label label-info">Note</span> Add the <code>autosize</code> attribute to the input element to make it auto-grow.</p></div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Fullscreen Textarea</label>
                <div class="col-sm-6">
                    <textarea class="form-control fullscreen"></textarea>
                </div>
                <div class="col-sm-3"><p><span class="label label-info">Note</span> Add the <code>fullscreen</code> class to input elements to make it fullscreen-able.</p></div>
            </div>
        </form>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-6 col-sm-offset-3">
                    <div class="btn-toolbar">
                        <button class="btn-primary btn">Submit</button>
                        <button class="btn-default btn">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </panel>
    <panel panel-class="panel-midnightblue" heading="Switchery">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>
        <form action="#" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Primary Switch</label>
                <div class="col-sm-6">
                <input type="checkbox" ng-model="switchStatus" class="js-switch" ui-switch="{color: '#4697ce', secondaryColor: '#c5cbd1'}" />
                </div>
                {{switchStatus}}
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Success Switch</label>
                <div class="col-sm-6"><input type="checkbox" ng-model="switchStatus2" class="js-switch" ui-switch="{color: '#7dcc93', secondaryColor: '#c5cbd1'}" /></div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Info Switch </label>
                <div class="col-sm-6"><input type="checkbox" ng-model="switchStatus3" class="js-switch" ui-switch="{color: '#63b7e6', secondaryColor: '#c5cbd1'}" /></div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Danger Switch</label>
                <div class="col-sm-6"><input type="checkbox" ng-model="switchStatus4" class="js-switch" ui-switch="{color: '#e75a5a', secondaryColor: '#c5cbd1'}" /></div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Warning Switch </label>
                <div class="col-sm-6"><input type="checkbox" ng-model="switchStatus5" class="js-switch" ui-switch="{color: '#e8db4f', secondaryColor: '#c5cbd1'}" /></div>
            </div>
        </form>
    </panel>
    <panel panel-class="panel-midnightblue" heading="Input Groups">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>
        <form action="" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Before Text Field</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <span class="input-group-addon">@</span>
                        <input type="text" class="form-control" placeholder="Username">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">After Text Field</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <input type="text" class="form-control">
                        <span class="input-group-addon">.00</span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Both</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <span class="input-group-addon">$</span>
                        <input type="text" class="form-control">
                        <span class="input-group-addon">.00</span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Checkbox</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <input icheck type="checkbox">
                        </span>
                        <input type="text" class="form-control">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Radio</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <input icheck type="radio">
                        </span>
                        <input type="text" class="form-control">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Buttons instead of text</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <input type="text" class="form-control">
                        <div class="input-group-btn">
                            <button type="button" class="btn btn-info">Go!</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Buttons with Dropdowns</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <input type="text" class="form-control">
                        <div class="input-group-btn" dropdown>
                            <button type="button" class="btn btn-info dropdown-toggle" dropdown-toggle>Action <i class="caret"></i></button>
                            <ul class="dropdown-menu pull-right">
                                <li><a href="#">Action</a></li>
                                <li><a href="#">Another action</a></li>
                                <li><a href="#">Something else here</a></li>
                                <li class="divider"></li>
                                <li><a href="#">Separated link</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Segmentded Dropdown</label>
                <div class="col-sm-6">
                    <div class="input-group">
                        <input type="text" class="form-control">
                        <div class="input-group-btn" dropdown>
                            <button type="button" class="btn btn-info">Action</button>
                            <button type="button" class="btn btn-info dropdown-toggle" dropdown-toggle><i class="caret"></i></button>
                            <ul class="dropdown-menu pull-right">
                                <li><a href="#">Action</a></li>
                                <li><a href="#">Another action</a></li>
                                <li><a href="#">Something else here</a></li>
                                <li class="divider"></li>
                                <li><a href="#">Separated link</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </panel>
    <panel panel-class="panel-midnightblue" heading="AutoComplete">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>

        <div class="col-12">
            <p>A fast, full-featured, autocomplete library can prefetch data, search that data on the client, and then falling back to the server. </p>
        </div>
        <form action="" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Autocomplete</label>
                <div class="col-sm-6">
                    <div class="input-icon right">
                        <i ng-show="loadingLocations" class="fa fa-refresh fa-spin"></i>
                        <input type="text" ng-model="asyncSelected" placeholder="Type in a location" typeahead="address for address in getLocation($viewValue)" typeahead-loading="loadingLocations" class="form-control">
                    </div>
                </div>
            </div>
        </form>
    </panel>
    <panel panel-class="panel-midnightblue" heading="Color Pickers">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>

        <form action="" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Default</label>
                <div class="col-sm-6">
                    <input data-colorpicker type="text" class="form-control" data-color-format="hex" value="#fff">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">RGBA</label>
                <div class="col-sm-6">
                    <input data-colorpicker type="text" class="form-control" data-color-format="rgba" value="rgba(255, 146, 180,0.9)">
                    <p class="help-block">RGBA format specified via data-tag</p>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Input Group</label>
                <div class="col-sm-6">
                    <div class="input-group color" data-color="rgb(255, 146, 180)" data-color-format="rgb">
                        <input data-colorpicker type="text" readonly class="form-control" value="" ng-model="colorPicked">
                        <span class="input-group-addon"><i ng-style="{ 'background-color': colorPicked, 'margin-left': '8px'}"></i></span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-6 col-sm-offset-3"><a data-toggle="modal" href="#cpicker_modal" class="btn btn-primary">Launch Color Pickers in Modal Dialog Box</a></div>
            </div>
        </form>
    </panel>
    <panel data-heading="Date Picker" panel-class="panel-midnightblue">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>
        <div ng-controller="DatepickerDemoController" class="form-horizontal row-border">
            <div class="form-group">
                <label for="#" class="col-md-3 control-label">Inline</label>
                <div class="col-md-6">
                    <datepicker ng-model="dt" min-date="minDate" show-weeks="true" class="datepicker"></datepicker>
                </div>
            </div>
            <div class="form-group">
                <label for="#" class="col-md-3 control-label">Input Group</label>
                <div class="col-md-6">
                    <div class="input-group">
                        <input type="text" class="form-control datepicker" datepicker-popup="{{format}}" ng-model="dt" is-open="opened" datepicker-options="dateOptions" date-disabled="disabled(date, mode)" ng-required="true" close-text="Close" />
                        <div class="input-group-btn">
                            <button type="button" class="btn btn-default" ng-click="open($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-3">Format:</label>
                <div class="col-sm-6">
                    <select class="form-control" ng-model="format" ng-options="f for f in formats">
                        <option></option>
                    </select>
                    <br>
                    <button type="button" class="btn btn-sm btn-info" ng-click="today()">Today</button>
                    <button type="button" class="btn btn-sm btn-default" ng-click="dt = '2009-08-24'">2009-08-24</button>
                    <button type="button" class="btn btn-sm btn-danger" ng-click="clear()">Clear</button>
                    <button type="button" class="btn btn-sm btn-default" ng-click="toggleMin()" tooltip="After today restriction">Min date</button>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6 col-md-offset-3 control-label">
                    <pre>Selected date is: <em>{{dt | date:'fullDate' }}</em></pre>
                </div>
            </div>
        </div>
    </panel>
    <panel data-heading="Time Picker" panel-class="panel-midnightblue">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>
        <form action="" class="form-horizontal" ng-controller="TimepickerDemoCtrl">
            <div class="form-group">
                <label class="col-sm-3 control-labexl">Default</label>
                <div class="col-sm-6">
                    <timepicker ng-model="mytime" ng-change="changed()" hour-step="hstep" minute-step="mstep" show-meridian="ismeridian" class="timepicker"></timepicker>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">External Controls</label>
                <div class="col-sm-6">
                    <button class="btn btn-info" ng-click="toggleMode()">12H / 24H</button>
                    <button class="btn btn-default" ng-click="update()">Set to 14:00</button>
                    <button class="btn btn-danger" ng-click="clear()">Clear</button>
                </div>
            </div>
        </form>
    </panel>
    <panel panel-class="panel-midnightblue" heading="Date Range Picker">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>

        <div ng-controller="DateRangePickerDemo">
            <form action="" class="form-horizontal row-border">
                <div class="form-group">
                    <label class="col-sm-3 control-label">Select Date Range</label>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            <input type="text" class="form-control" daterangepicker="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label">Advanced Range Selector</label>
                    <div class="col-sm-6">
                        <button class="btn btn-default" daterangepicker="drp_options" date-begin="drp_start" date-end="drp_end">
                            <i class="glyphicon glyphicon-calendar"></i> <span style="margin-left: 5px">{{drp_start}} - {{drp_end}}</span> <b class="caret"></b>
                        </button>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label">Select Both Date and Time</label>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <span name="daterangepicker3" class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            <input type="text" class="form-control" daterangepicker="{ timePicker: true, timePickerIncrement: 30, format: 'MM/DD/YYYY h:mm A' }">
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </panel>
    <panel panel-class="panel-midnightblue" heading="Advanced Select Boxes">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
        </panel-controls>
        <form action="" class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-sm-3 control-label">Dropdown with Search</label>
                <div class="col-sm-6">
                    <ui-select ng-model="selectedCountry.selected" style="width: 300px;" title="Choose a country">
                        <ui-select-match placeholder="Select or search a country in the list...">{{$select.selected}}</ui-select-match>
                        <ui-select-choices repeat="countryIterator in countries | filter: $select.search">
                            <span ng-bind-html="countryIterator | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                    <p>Selected: {{selectedCountry.selected}}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Select with Multiple</label>
                <div class="col-sm-6">
                    <ui-select multiple ng-model="selectedCountries.selected" close-on-select="false" style="width: 300px;" title="Choose a country">
                        <ui-select-match placeholder="Select or search a country in the list...">{{$select.selected[$index]}}</ui-select-match>
                        <ui-select-choices repeat="countryIterator in countries | filter: $select.search">
                            <span ng-bind-html="countryIterator | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                    <p>Selected: {{selectedCountries.selected}}</p>
                    <p class="help-block">Select2 also supports multi-value select boxes. The <code>select</code> above is declared with the <code>multiple</code> attribute. Select2 automatially picks up on this</p>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Remote Data (e.g. Google geocode API)</label>
                <div class="col-sm-6">
                    <ui-select ng-model="address.selected"
                               theme="bootstrap"
                               ng-disabled="disabled"
                               reset-search-input="false"
                               style="width: 300px;"
                               title="Choose an address">
                        <ui-select-match placeholder="Enter an address...">{{$select.selected.formatted_address}}</ui-select-match>
                        <ui-select-choices repeat="address in addresses track by $index"
                                           refresh="refreshAddresses($select.search)"
                                           refresh-delay="0">
                            <div ng-bind-html="address.formatted_address | highlight: $select.search"></div>
                        </ui-select-choices>
                    </ui-select>
                    <p class="help-block">The selectbox has AJAX/JSONP support built in. In this example we will search for a movie using Rotten Tomatoes API. When result-list is scrolled to an end, more results are lazy-appended</p>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Tagging Support</label>
                <div class="col-sm-6">
                    <ui-select multiple ng-model="multipleDemo.colors" theme="bootstrap" close-on-select="false" style="width: 300px;" title="Choose a color">
                        <ui-select-match placeholder="Select colors...">{{$item}}</ui-select-match>
                        <ui-select-choices repeat="color in availableColors | filter:$select.search">
                            {{color}}
                        </ui-select-choices>
                    </ui-select>
                    <p>Selected Tags: {{multipleDemo.colors}}</p>
                    <p class="help-block">Quickly set up fields for tagging</p>
                </div>
            </div>
        </form>
    </panel>
    <panel panel-class="panel-midnightblue" heading="File Input">
        <panel-controls>
            <panel-control-collapse></panel-control-collapse>
            <button class="button-icon"><i class="glyphicon glyphicon-cog"></i></button>
            <button class="button-icon"><i class="glyphicon glyphicon-wrench"></i></button>
        </panel-controls>

        <form action="" class="form-horizontal row-border">

            <div class="form-group">
                <label class="col-sm-3 control-label">File input group</label>
                <div class="col-sm-6">
                    <div class="fileinput fileinput-new" data-provides="fileinput">
                        <div class="input-group">
                            <div class="form-control uneditable-input" data-trigger="fileinput">
                                <i class="fa fa-file fileinput-exists"></i>&nbsp;<span class="fileinput-filename"></span>
                            </div>
                            <span class="input-group-addon btn btn-default btn-file">
                                <span class="fileinput-new">Select file</span>
                                <span class="fileinput-exists">Change</span>
                                <input type="file" name="...">
                            </span>
                            <a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">File input button</label>
                <div class="col-sm-6">
                    <div class="fileinput fileinput-new" data-provides="fileinput">
                        <span class="btn btn-default btn-file" style="background: #e6e9ee">
                            <span class="fileinput-new">Select file</span>
                            <span class="fileinput-exists">Change</span>
                            <input type="file" name="...">
                        </span>
                        <span class="fileinput-filename"></span>
                        <a href="#" class="close fileinput-exists" data-dismiss="fileinput" style="float: none">&times;</a>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">Image Upload Widgets</label>
                <div class="col-sm-6">
                    <div class="fileinput fileinput-new" data-provides="fileinput">
                        <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 200px; height: 150px;"></div>
                        <div>
                            <span class="btn btn-default btn-file"><span class="fileinput-new">Select image</span><span class="fileinput-exists">Change</span><input type="file" name="..."></span>
                            <a href="#" class="btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </panel>
</div>


<!-- Colorpicker Modal -->
<div class="modal fade modals" id="cpicker_modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Colorpickers</h4>
            </div>
            <div class="modal-body">
                <form action="" class="form-horizontal">
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Default</label>
                        <div class="col-sm-6">
                            <input data-colorpicker type="text" class="form-control cpicker" data-color-format="hex" value="#fff">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-3 control-label">RGBA</label>
                        <div class="col-sm-6">
                            <input data-colorpicker type="text" class="form-control cpicker" data-color-format="rgba" value="rgba(255, 146, 180,0.9)">
                            <p class="help-block">RGBA format specified via data-tag</p>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Input Group</label>
                        <div class="col-sm-6">
                            <div class="input-group color cpicker" data-color="rgb(255, 146, 180)" data-color-format="rgb">
                                <input data-colorpicker type="text" readonly class="form-control" value="">
                                <span class="input-group-addon"><i style="background-color: rgb(255, 146, 180); margin-left: 8px;"></i></span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
</div> <!-- container-fluid -->
